Go to documentation repository
Documentation for Axxon One 1.0.
Previous page Next page
Create a new layout named "Layout" without specifying the id.
POST http://IP-address:port/prefix/grpc
Request body:
{
"method": "axxonsoft.bl.layout.LayoutManager.Update",
"data": {
"created":{
"display_name":"Layout"
}
}
}
The response will contain the id
{
"created_layouts": [
"b0bd2b36-064a-4cc4-9a6f-382de02be7ef"
]
}
Get a list of layouts.
POST http://IP-address:port/prefix/grpc
Request body:
{
"method": "axxonsoft.bl.layout.LayoutManager.ListLayouts",
"data": {
"view": "VIEW_MODE_FULL"
}
}
Response:
{
"current": "",
"items": [
{
"meta": {
"layout_id": "b0bd2b36-064a-4cc4-9a6f-382de02be7ef",
"owned_by_user": true,
"shared_with": [],
"etag": "63F1DF706EE001985D858352029DB0BDBCF257FC"
},
"body": {
"id": "b0bd2b36-064a-4cc4-9a6f-382de02be7ef",
"display_name": "my",
"is_user_defined": false,
"is_for_alarm": false,
"alarm_mode": false,
"map_id": "",
"map_view_mode": "MAP_VIEW_MODE_LAYOUT_ONLY",
"cells": {}
}
}
],
"special_layouts": {
"favorite": {
"id": "",
"enabled": false
},
"alarm": {
"id": "",
"enabled": false
}
}
}
Overview
Content Tools